You are not logged in.

#26 2018-05-20 13:19:02

hamelg
Member
From: France
Registered: 2008-06-19
Posts: 110

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

loqs wrote:

@jtgd that was covered by the first link blablo posted in post #5

Updates have broken my system sad
This information would be worth to figure in the Arch news RSS feed.
All arch users which use nvidia-340xx driver are affected.

Offline

#27 2018-05-26 00:10:34

shera10001
Member
Registered: 2018-01-23
Posts: 34

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

SteScheller wrote:

Have a look in the wiki: Downgrading packages

Look which old packages are in pacman cache:

$ ls /var/cache/pacman/pkg | grep xorg-server

gives something like:

xorg-server-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-1.20.0-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-common-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-common-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-common-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-common-1.20.0-2-x86_64.pkg.tar.xz
xorg-server-utils-7.6-4-any.pkg.tar.xz
xorg-server-xephyr-1.19.3-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.3-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.3-3-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.4-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.5-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6+13+gd0d1a694f-1-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6+13+gd0d1a694f-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.19.6-2-x86_64.pkg.tar.xz
xorg-server-xephyr-1.20.0-2-x86_64.pkg.tar.xz

... and downgrade using pacman, e.g.:

# pacman -U/var/cache/pacman/pkg/<Name of old xorg-server or xorg-server-common package>-x86_64.pkg.tar.xz 

Also add xorg-server and xorg-server-common to IgnorePkg in /etc/pacman.conf with -

IgnorePkg = xorg-server xorg-server-common

so that they are skipped next time you do a system upgrade.

Offline

#28 2018-05-26 22:11:30

Oblong_Cheese
Member
Registered: 2007-01-25
Posts: 42

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

jcerdan wrote:

Hi,

I encountered the same problem with nvidia-340xx driver, but adding option "IgnoreABI" as @sayonalion suggested did not solve the problem. I had to downgrade xorg-server to 1.19.

Regards

Thank-you for this suggestion.

I spent entirely too long trying to fix this after misdiagnosing the issue as being related to my attempt to install a new graphics card.

Offline

#29 2018-05-28 07:23:35

sultanoswing
Member
Registered: 2008-07-23
Posts: 310

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

Fixed now, but these nvidia/xorg issues are a real pain.

The boot hangs because the graphical login manager (gdm in my case) can't start. Then, the simplest fix involves booting up a USB install drive and chrooting to remove the login manager service from starting. Hopefully that's the last of 'em for a while.


Arch-4.15.12 (x86_64) w/Gnome 3.28
ASUS P7P55-E-Pro, Geforce GTX460, i5-750, 8GB, Samsung 830 SSD | Intel NUC 5i5RYK | ASUS ux303ua | HP Folio 13

Offline

#30 2018-06-12 12:33:47

jal
Member
Registered: 2015-04-23
Posts: 15

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

Hi,

Downgrade of xorg worked great for my 340xx - thanks also to the moderator who marked my post as a duplicate, which lead me to this.

Is there any alert system for when this issue is resolved (if ever) in xorg?

Best,

Offline

#31 2018-06-12 14:18:57

loqs
Member
Registered: 2014-03-06
Posts: 5,847

Re: nvidia-390xx + xorg-server 1.20 upgrade, X no longer starts.

jal it should be fixed in testing for 340xx but it will be there a while because it coincided with linux 4.17 also being in testing.
You could rebuild nvidia-340xx 340.107 and nvidia-340xx-utils 340.107 locally for 4.16.

Offline

Board footer

Powered by FluxBB